Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: mimi85Comportement étrange 2.0.6
#31
Video 
LViatour a écrit :voici un exemple de raw qui ne s'ouvre pas:
http://luc.lucnix.be/LV5_4405.NEF    (clic droit enregistrer sous pour télécharger).

Bonjour Luc,
ton image s'ouvre parfaitement avec la version 2.2.5 de Darktable.


[Image: Capture_d_cran_2018_01_13_10_12_54.jpg]


Avec la version 2.5.0/2.4.0 , il a bien un problème   avec la balance des blancs. Le message d'erreur est le suivant
Code :
Code :
[rawspeed] (LV5_4405.NEF) void rawspeed::HuffmanTable::setCodeValues(const rawspeed::Buffer&), line 176: Corrupt Huffman. Code value 92 is bigger than 16
[temperature] failed to read camera white balance information from `LV5_4405.NEF'!
allocation failed???
[temperature] failed to read camera white balance information from `LV5_4405.NEF'!
[temperature] `NIKON CORPORATION NIKON D5' color matrix not found for image
[temperature] failed to read camera white balance information from `LV5_4405.NEF'!
Manifestement, le traitement de la balance des blancs  NIKON n'est pas au point à partir de la version 2.4.0, il suffit donc de revenir à la version 2.2.5.
A bientôt,
Jean-Pierre
Répondre
#32
(13-01-18, 10:43)vedeheme a écrit : Manifestement, le traitement de la balance des blancs  NIKON n'est pas au point à partir de la version 2.4.0, il suffit donc de revenir à la version 2.2.5.
A bientôt,
Jean-Pierre

Je vais pas revenir à le 2.2.5 car le problème est rare et j'ai pleins de styles et réglages conditionnels créés avec la version 2.4 que  j'utilise depuis un certain temps vu que j'avais compilé la version de développement il y a quelques mois. 

Puis je suis déjà accro au nouveau mode de contraste local laplacien.....
Luc Viatour Photographe 
Website
Répondre
#33
Bonjour,

ayant les mêmes problèmes je me suis mis à la recherche de la cause de l'affichage d'erreur au sujet de la récupération de la balance des blancs et après différents tests sous 2.4.0 et 2.4.1 je viens de réaliser que j'ai ce soucis uniquement avec mon Tokina 11-16mm F2.8 AT-X 116 Pro DX II, la version II n'est pas connue par lensfun.
J'ai tout essayé, à partir des données exif du NEF j'ai dupliqué le fichier slr-tokina.xml, copié la version DX et j'ai simplement changé le nom du <model> qui me semblait correspondre au mot-clé (je n'ai trouvé nulle part l'Id 128). J'ai autant changé le fichier sous /usr/share/lensfun que sous /var/lib/lensfun, après un redémarrage de darktable pas de changement, toujours encore l'id 128, et non le nom du modèle, et pas moyen d'afficher l'image dans la chambre noire.
Est-ce que quelqu'un a un HowTo pour la modification locale des fichiers lensfun?
Voilà la sortie Exif:

Lens Type                       : G
Lens                            : 11-16mm f/2.8
Lens Data Version               : 0204
Lens ID Number                  : 128
Lens F Stops                    : 6.00
Lens ID                         : Unknown (80 48 1C 29 24 24 7A 06)
Lens Spec                       : 11-16mm f/2.8 G

Et ce qui est étonnant c'est qu’effectivement la version antérieure à 2.4.0 affichait l'image dans la chambre noire!
Répondre
#34
Après un parcours du combattant pour installer la version git sous unbuntu 18.04,
Code :
apt-get install libpugixml-dev
apt-get install liblua5.3-dev
apt-get install libexiv2-dev
apt-get install libjson-glib-dev
apt-get install libcurl4-openssl-dev
apt-get install libsqlite3-dev
apt-get install librsvg2-dev
apt-get install liblensfun-dev
apt-get install liblensfun-bin-dev
apt-get install intltool
apt-get install libxml2-dev
apt-get install libxslt-dev
apt-get install libsaxonb-java
apt-get install xsltproc
apt-get install python-jsonschema
apt-get install libxslt1-dev
wget -O - https://apt.llvm.org/llvm-snapshot.gpg.key | apt-key add -
apt-add-repository "deb https://apt.llvm.org/xenial/ llvm-toolchain-xenial-3.9 main"
apt-get update
apt-get install clang-3.9 lldb-3.9
apt-get install libsaxon-dev
apt-get install libxml2-utils
apt-get install libxmllint
apt-get install libgphoto2-dev
apt-get install   libtiff5-dev
apt-get install   liblcms2-dev
apt-get install   libjpeg8-dev
apt-get install   cmake
apt-get install  gtk+-3  exiv2 curl gphoto2
apt-get install  libxml2-utils-dev
J'obtiens une version 2.5.0+710~gf0ad51b33 mais je constate que l'erreur pour le traitement de la balance des blancs  NIKON persiste encore à l'heure actuelle. Pour moi, elle se manifeste sur certains fichiers du Nikon 1 V1. Je n'ai pas constaté cette erreur avec des fichiers D700, D500 et D2X.
J'ai cru comprendre que cela pourrait être corrigé avec la version 2.6 ... wait and see.
Le fichiers se traitent néanmoins correctement avec la version 2.2.5.

edit :
Malheureusement, la version 2.6 n'a pas encore corrigé ce problème.

Nouvel edit :
Je viens de de faire une mise à jour Archlinux (pacman -Syu) et une nouvelle version de Darktable ( 2.6.1) a été installée ainsi qu'une version 5.0 de Linux. Sur le site de darktable, je ne trouve pas de trace de cette version 2.6.1.
Mais la bonne nouvelle est que cette version permet de traiter les fichiers raw nikon 1 que je n'arrivais plus à traiter avec une version plus récente que la 2.2.5 !
Le message d'erreur suivant apparaissait dans les version 2.4.x et 2.6.0 "rawspeed::RawImage rawspeed::RawDecoder::decodeRaw(), line 276: void rawspeed::BitStream<Tag, Cache>::fillSafe() [with Tag = rawspeed::MSBBitPumpTag; Cache = rawspeed::BitStreamCacheRightInLeftOut], line 134: Buffer overflow read in BitStream"
Répondre
#35
J'ajoute une réponse dans le but de faire remonter cette discussion puisqu'il me semble qu'une correction d'erreur importante a été faite dans la version 2.6.1 distribuée sous Archlinux. (voir mon post précédent)
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)